SIS900_PROBE(9)

NAME
sis900_probe - Probe for sis900 device

SYNOPSIS

int __devinit sis900_probe (struct pci_dev * pci_dev, const struct pci_device_id * pci_id);

ARGUMENTS

pci_dev
    the sis900 pci device

pci_id
    the pci device ID

DESCRIPTION

Check and probe sis900 net device for pci_dev. Get mac address according to the chip revision, and assign SiS900-specific entries in the device structure.

IE

 sis900_open, sis900_start_xmit, sis900_close, etc.

AUTHORS
Ollie Lho, Lei Chun Chang.